# Taipy Templates

## License

Copyright 2021-2024 Avaiga Private Limited

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of the License at
[http://www.apache.org/licenses/LICENSE-2.0](https://www.apache.org/licenses/LICENSE-2.0.txt)

Unless required by applicable law or agreed to in writing, software distributed under the
License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied. See the License for the specific language governing permissions
and limitations under the License.

## What is Taipy templates

Taipy is a Python library for creating Business Applications. More information on our
[website](https://www.taipy.io). Taipy is split into multiple packages including *taipy-templates*
to let users install the minimum they need.

Taipy templates is a repository that contains application templates created and
maintained by Taipy. It helps users getting started with a simple and ready-to-go application.

To create a Taipy application using this template, first you need to install Taipy (> 2.2).
Then from a terminal, run the following command.
```bash
taipy create
```
or
```bash
taipy create --application "default"
```

After providing necessary information, your new application is created in the current
working directory.

## Installation

The latest stable version of *taipy-templates* is available through *pip*:
```bash
pip install taipy-templates
```

You can install the development version of *taipy-templates* with *pip* and *git* via the taipy repository:
```bash
pip install git+https://git@github.com/Avaiga/taipy
```

This command installs the development version of *taipy* package in the Python environment with all
its dependencies, including the *taipy-templates* package.

If you need the source code for *taipy-templates* on your system so you can see how things are done or
maybe participate in the improvement of the packages, you can clone the GitHub repository:

```bash
git clone https://github.com/Avaiga/taipy.git
```

This creates the 'taipy' directory holding all the package's source code, and the 'taipy-templates'
source code is in the 'taipy/templates' directory.
